# Class ImageToAsciiService | EchoHub Documentation

# Class ImageToAsciiService

Namespace
  EchoHub.Server.Services

Assembly
  EchoHub.Server.dll

    public class ImageToAsciiService

Inheritance
  object
  ImageToAsciiService

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### ImageToAsciiService()

    public ImageToAsciiService()

## Methods

### ConvertToAscii(Stream, int, int)

    public string ConvertToAscii(Stream imageStream, int width = 80, int height = 40)

#### Parameters

`imageStream` Stream
`width` int
`height` int

#### Returns

string